WESTCOS-TOOL(1)

NAME
westcos-tool - utility for manipulating data structure on westcos smart card and similar security tokens

SYNOPSIS

westcos-tool [OPTIONS]

DESCRIPTION

The westcos-tool utility is used to manipulate the westcos data structures on 2 Ko smart cards. Users can create PINs, keys and certificates stored on the token. User PIN authentication is performed for those operations that require it.

OPTIONS

--reader num, -r num
    Use the given reader number. The default is 0, the first reader in the system.

--wait, -w
    Wait for a card to be inserted

--generate-key, -g
    Generate a private key on smart card. The smart card must be not finalized and pin installed (ig. file for pin must be created, see option -i). By default key length is 1536 bits. User authentication is required for this operation.

--overwrite-key, -o
    Otherwrite key if they are already a key on card.

--key-length length, -l length
    Change the length of private key, use with -g.

--install-pin, -i
    Install pin file in token, you must provide pin value with -x.

--pin-value value, -x value
    set value of pin.

--puk-value value, -y value
    set value of puk (or value of new pin for change pin command see -n).

--change-pin, -n
    Changes a PIN stored on the token. User authentication is required for this operation.

--unblock-pin, -u
    Unblocks a PIN stored on the token. Knowledge of the Pin Unblock Key (PUK) is required for this operation.

--certificat file, -t file
    Write certificate file in pem format on the card. User authentication is required for this operation.

--finalize, -f
    Finalize the card, once finalize default key is invalidate so pin and puk can'be changed anymore without user authentification. Warning, smart cards not finalized are unsecure because pin can be changed without user authentification (knowledge of default key is enougth).

--read-file path, -j path
    Get the file path the file is written on disk with path name. User authentication is required for this operation.

--write-file path, -k path
    Put the file with name path from disk to card the file is written in path. User authentication is required for this operation.

--help, -h
    Print help message on screen.

-v
    Causes westcos-tool to be more verbose. Specify this flag several times to enable debug output in the OpenSC library.

SEE ALSO

opensc(7)

AUTHORS

westcos-tool was written by Francois Leblanc francois.leblanc@cev-sa.com.